# R

## regen\_multiplier（永久技能）

该技能的作用是加倍玩家的回血速度。

```
- id: regen_multiplier
  args:
    multiplier: 2
```

其中：

* args.multiplier：加倍值。

## remove\_item（触发技能）

该技能的作用是移除玩家背包内的某个物品。

```
- id: remove_item
  args:
    item: diamond
```

其中：

* args.item：给予的物品。按照 `物品语法格式:数量` 的格式填写，如果数量为1则可以只填写物品语法格式，多个物品之间用空格隔开。

## remove\_potion\_effect（触发技能）

该技能的作用是移除玩家的药水效果。

```
- id: remove_potion_effect
  args:
    effect: hunger
    apply_to_player: true
```

## rotate（触发技能）

该技能的作用是使得对象旋转。

```
- id: rotate
  args:
    angle: 180
```

其中：

* args.angel：旋转角度。

## run\_chain

该技能的作用是同时作用多个技能，我们称之为连锁技能。

```
- id: run_chain
  args:
    run-type: normal
    chain: blind_and_pop
```

其中：

* args.run-type：技能作用模式，目前只有 `normal`。
* args.chain：连锁技能id。连锁技能可以在 `chains.yml` 设置。

一个示例 `chains.yml` 如下：

```
chains:
  - id: example_chain
    effects:
      - id: teleport
      - id: potion_effect
        args:
          effect: blindness
          level: 3
          duration: 30
          apply_to_player: true
      - id: send_message
        args:
          message: "&f你已被传送!"
          action_bar: true
      - id: play_sound
        args:
          sound: entity_dragon_fireball_explode
          pitch: 1.5
          volume: 4
```

其中：

* id：连锁技能的id。
* effects：连锁技能包含的技能。

## run\_chain\_inline（触发技能）

该技能的作用是同时作用多个技能。

```
- id: run_chain_inline
  args:
    run-type: normal
    chain:
      effects:
        - id: teleport
        - id: potion_effect
          args:
            effect: blindness
            level: 3
            duration: 30
            apply_to_player: true
        - id: send_message
          args:
            message: "&fYou have been teleported!"
            action_bar: true
        - id: play_sound
          args:
            sound: entity_dragon_fireball_explode
            pitch: 1.5
            volume: 4
```

其中：

* args.run-type：技能作用模式，目前只有 `normal`。
* args.chain：连锁技能内容，不需要在独立的文件单独设置。

## run\_command（触发技能）

该技能作用是以控制台身份执行命令。

```
- id: run_command
  args:
    command: "ban %player%"
```

其中：

* args.command：指令。

## run\_player\_command（触发技能）

与上相同，只是以玩家身份执行命令，同时新增如下参数：

* args.as\_op：是否以 OP 身份执行命令。

```
- id: run_player_command
  args:
    command: "kick %victim% Slapped out of the server" # Supports %player% and %victim% as placeholders (victim will only be used if there is a player as a victim for this effect)
    as_op: true
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.superiormc.cn/ecox-doc/ji-neng-xi-tong/ji-neng-lie-biao/r.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
